#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-desktop-44.5

- Next

  gnome-online-accounts-3.58.1

- Up
- Home

# gnome-menus-3.38.1

## Introduction to GNOME Menus

The GNOME Menus package contains an implementation of the draft Desktop Menu Specification from freedesktop.org. It also contains the GNOME menu layout configuration files and `.directory` files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-menus/3.38/gnome-menus-3.38.1.tar.xz

- Download MD5 sum: bd89f4013689edf35a039ceb1a1b7c39

- Download size: 464 KB

- Estimated disk space required: 8.3 MB

- Estimated build time: less than 0.1 SBU

### GNOME Menus Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended)

## Installation of GNOME Menus

Install GNOME Menus by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libgnome-menu-3.so
Installed Directories: /etc/xdg/menus, /usr/include/gnome-menus-3.0, and /usr/share/desktop-directories

### Short Descriptions

`libgnome-menu-3.so` | contains functions required to support GNOME's implementation of the Desktop Menu Specification

- Prev

  gnome-desktop-44.5

- Next

  gnome-online-accounts-3.58.1

- Up
- Home